Subject: bug#24668: 11.89.5; Parse failure if long comment at head of file

From: Fran Burstall <[email-masked]>
Date: Wed, 12 Oct 2016 11:17:15 +0100

Dear Mosè,

That was the problem: I had set TeX-auto-parse-length to 2000 (thinking,
foolishly, that this meant lines not characters).

Sorry to have bothered you!

Thanks for yr help,

---Fran

On 12 October 2016 at 09:29, Mosè Giordano <[email-masked]> wrote:

> Hi Fran,
>
> 2016-10-12 10:18 GMT+02:00 Fran Burstall <[email-masked]>:
> > Hi Mosè,
> >
> > Here is such an example.
> >
> > I would expect auctex to parse this and write a style file to ./auto but,
> > for me, it does not unless I remove the long comment at the start of the
> > file.
>
> Thank you.  I can't reproduce your problem.  For me, C-c C-n does
> create the auto-generated file.  The variable `TeX-auto-parse-length'
> controls the length of the buffer that is parsed.  Default value is
> 999999, which is much higher than the length of your file ((point-max)
> == 2205).  What's the value of `TeX-auto-parse-length' for you?  issue
>
>     C-h v TeX-auto-parse-length RET
>
> after you load AUCTeX (for example after opening a *TeX file) to check it.
>
> Bye,
> Mosè
>